import { DomainChart } from "./DomainChart";
import { IEnumerable$1, Type } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { HorizontalAlignment } from "igniteui-angular-core";
import { VerticalAlignment } from "igniteui-angular-core";
import { Visibility } from "igniteui-angular-core";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { Axis } from "./Axis";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { TitleSettings } from "./TitleSettings";
import { DataSeries } from "igniteui-angular-core";
import { XamDataChart } from "./XamDataChart";
import { CategoryAxisBase } from "./CategoryAxisBase";
/**
 * @hidden
 */
export declare abstract class XYChart extends DomainChart {
    static $t: Type;
    provideContainer(a: any): void;
    protected ic(): void;
    protected i0(a: string, b: any, c: any): void;
    private kc;
    get ke(): (item: any) => string;
    set ke(a: (item: any) => string);
    private kd;
    get kf(): (item: any) => string;
    set kf(a: (item: any) => string);
    private kp;
    get lr(): number;
    set lr(a: number);
    private kr;
    get lt(): number;
    set lt(a: number);
    private kq;
    get ls(): number;
    set ls(a: number);
    private ko;
    get lq(): number;
    set lq(a: number);
    private k6;
    get l8(): number;
    set l8(a: number);
    private k8;
    get ma(): number;
    set ma(a: number);
    private k7;
    get l9(): number;
    set l9(a: number);
    private k5;
    get l7(): number;
    set l7(a: number);
    private pw;
    get qc(): Brush;
    set qc(a: Brush);
    private p3;
    get qj(): Brush;
    set qj(a: Brush);
    private pu;
    get qa(): Brush;
    set qa(a: Brush);
    private pv;
    get qb(): Brush;
    set qb(a: Brush);
    private k0;
    get l2(): number;
    set l2(a: number);
    private lh;
    get mj(): number;
    set mj(a: number);
    private kz;
    get l1(): number;
    set l1(a: number);
    private lg;
    get mi(): number;
    set mi(a: number);
    private k2;
    get l4(): number;
    set l4(a: number);
    private lj;
    get ml(): number;
    set ml(a: number);
    private k1;
    get l3(): number;
    set l3(a: number);
    private li;
    get mk(): number;
    set mk(a: number);
    private ky;
    get l0(): number;
    set l0(a: number);
    private lf;
    get mh(): number;
    set mh(a: number);
    private p2;
    get qi(): Brush;
    set qi(a: Brush);
    private p9;
    get qp(): Brush;
    set qp(a: Brush);
    protected i1(a: string, b: any, c: any): void;
    private mr;
    get ne(): string;
    set ne(a: string);
    private mv;
    get oj(): string;
    set oj(a: string);
    private mt;
    get n2(): string;
    set n2(a: string);
    private mx;
    get o7(): string;
    set o7(a: string);
    private pd;
    private pf;
    protected jg(a: DataSeries): void;
    protected abstract ka(): Axis;
    protected abstract kb(): Axis;
    protected pg(a: (arg1: Axis) => void): void;
    protected ph(a: (arg1: Axis) => void, b: string): void;
    protected pl(a: (arg1: Axis) => void, b: boolean): void;
    protected pk(a: (arg1: Axis) => void): void;
    protected pj(a: (arg1: TitleSettings) => void): void;
    protected pn(a: (arg1: TitleSettings) => void): void;
    protected pm(a: (arg1: AxisLabelSettings) => void): void;
    protected pi(a: (arg1: AxisLabelSettings) => void): void;
    lk(a: number): number;
    lm(a: number): number;
    ll(a: number): number;
    ln(a: number): number;
    protected je(a: XamDataChart): void;
    static m0(a: CategoryAxisBase, b: IEnumerable$1<DataSeries>): string;
    protected h7(a: XamDataChart): void;
    protected pc(a: Axis): void;
    protected pe(a: Axis): void;
    protected h4(): void;
    protected pa(a: Axis, b: (arg1: AxisLabelSettings) => void): void;
    protected pb(a: Axis, b: (arg1: TitleSettings) => void): void;
    protected iz(a: string, b: any, c: any): void;
    private mm;
    get mo(): any;
    set mo(a: any);
    private mn;
    get mp(): any;
    set mp(a: any);
    private px;
    get qd(): Brush;
    set qd(a: Brush);
    private p4;
    get qk(): Brush;
    set qk(a: Brush);
    private ks;
    get lu(): number;
    set lu(a: number);
    private k9;
    get mb(): number;
    set mb(a: number);
    private kt;
    get lv(): number;
    set lv(a: number);
    private la;
    get mc(): number;
    set mc(a: number);
    private pz;
    get qf(): Brush;
    set qf(a: Brush);
    private p6;
    get qm(): Brush;
    set qm(a: Brush);
    private p0;
    get qg(): Brush;
    set qg(a: Brush);
    private p7;
    get qn(): Brush;
    set qn(a: Brush);
    private ku;
    get lw(): number;
    set lw(a: number);
    private lb;
    get md(): number;
    set md(a: number);
    private kv;
    get lx(): number;
    set lx(a: number);
    private lc;
    get me(): number;
    set me(a: number);
    private p1;
    get qh(): Brush;
    set qh(a: Brush);
    private p8;
    get qo(): Brush;
    set qo(a: Brush);
    private kw;
    get ly(): number;
    set ly(a: number);
    private ld;
    get mf(): number;
    set mf(a: number);
    private ms;
    get nt(): string;
    set nt(a: string);
    private mw;
    get oy(): string;
    set oy(a: string);
    private py;
    get qe(): Brush;
    set qe(a: Brush);
    private p5;
    get ql(): Brush;
    set ql(a: Brush);
    private kn;
    get lp(): number;
    set lp(a: number);
    private k4;
    get l6(): number;
    set l6(a: number);
    private km;
    get lo(): number;
    set lo(a: number);
    private k3;
    get l5(): number;
    set l5(a: number);
    private kx;
    get lz(): number;
    set lz(a: number);
    private le;
    get mg(): number;
    set mg(a: number);
    private ki;
    get kk(): boolean;
    set kk(a: boolean);
    private kj;
    get kl(): boolean;
    set kl(a: boolean);
    private pp;
    get ps(): HorizontalAlignment;
    set ps(a: HorizontalAlignment);
    private qs;
    get qv(): VerticalAlignment;
    set qv(a: VerticalAlignment);
    private po;
    get pr(): HorizontalAlignment;
    set pr(a: HorizontalAlignment);
    private pq;
    protected get_pt(): HorizontalAlignment;
    protected set_pt(a: HorizontalAlignment): void;
    get pt(): HorizontalAlignment;
    set pt(a: HorizontalAlignment);
    private qq;
    get qt(): VerticalAlignment;
    set qt(a: VerticalAlignment);
    private qr;
    get qu(): VerticalAlignment;
    set qu(a: VerticalAlignment);
    private qw;
    get qy(): Visibility;
    set qy(a: Visibility);
    private qx;
    get qz(): Visibility;
    set qz(a: Visibility);
    private kg;
    protected get_kh(): AxisLabelsLocation;
    protected set_kh(a: AxisLabelsLocation): void;
    get kh(): AxisLabelsLocation;
    set kh(a: AxisLabelsLocation);
    private mq;
    get m6(): string;
    set m6(a: string);
    private j6;
    get j8(): any[];
    set j8(a: any[]);
    private mu;
    get oa(): string;
    set oa(a: string);
    private j7;
    get j9(): any[];
    set j9(a: any[]);
}
